Bug 11556 - ICE in gen_reg_rtx() while compiling 2.6.x Linux kernel
ICE in gen_reg_rtx() while compiling 2.6.x Linux kernel
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: target
3.3.1
: P2 critical
: 3.4.0
Assigned To: David S. Miller
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-17 08:07 UTC by David S. Miller
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host: sparc64-*-*
Target: sparc64-*-*
Build: sparc64-*-*
Known to work:
Known to fail:
Last reconfirmed:


Attachments
preprocessed test case (284.67 KB, text/plain)
2003-07-17 08:09 UTC, David S. Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David S. Miller 2003-07-17 08:07:33 UTC
gcc dies with an ice in gen_reg_rtx() while compiling
net/sunrpc/svcauth_unix.c in the 2.6.x Linux kernel.
Comment 1 David S. Miller 2003-07-17 08:09:28 UTC
Created attachment 4420 [details]
preprocessed test case

To reproduce run:

gcc -O2 -mcmodel=medlow -ffixed-g4 -fcall-used-g5 -fcall-used-g7 -S -o bug.s
bug.i
Comment 2 Eric Botcazou 2003-07-17 08:32:25 UTC
Reproducible on sparc64-sun-solaris2.9 too.
Comment 3 David S. Miller 2003-07-19 00:34:29 UTC
I checked in a fix written by Richard Henderson to both
the 3.3 branch and the mainline sources.

2003-07-18  Richard Henderson  <rth@redhat.com>
            David S. Miller  <davem@redhat.com>

        * optabs.c (prepare_operand): Fail gracefully instead of abort
        if the predicate doesn't satisfy.
        (gen_cond_trap): Allow prepare_operand to fail.
        Pass correct opnum argument to prepare_operand.
Comment 4 Eric Botcazou 2003-07-19 07:00:01 UTC
Please put PR numbers in ChangeLog entries, so that Bugzilla can automatically
pick up the patches. Thanks.
Comment 5 David S. Miller 2003-07-19 07:08:22 UTC
Fixed, sorry about that.